Subject: Re: bug#41005: problem with rendering Persian text in Emacs 27

From: Pip Cet <[email-masked]>
Date: Sat, 06 Jun 2020 13:09:49 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Pip Cet <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked]
>> Date: Sat, 06 Jun 2020 09:11:36 +0000
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> From: Pip Cet <[email-masked]>
>> >> Cc: [email-masked], [email-masked],
>> >> [email-masked]
>> >> Date: Sat, 06 Jun 2020 08:38:39 +0000
>> >> 
>> >> >> Given these two bugs, I wonder whether it wouldn't be more reasonable
>> >> >> always to let HarfBuzz guess the direction, at least for Emacs-27:
>>                                                   ~~~~~~~~~~~~~~~~~~~~~
>> 
>> I should have been clearer here and said I was only concerned with Emacs 27.
>
> Ah, okay.  That settles some of the misunderstanding.
>
> But even in emacs-27, I think passing the right direction where we
> know it is better.  For example, the use case with directional
> override is only problematic in emacs-27 if the following conditions
> are both true:
>
>   . the same sequence of characters is used elsewhere, but without the
>     override
>   . the font glyphs produced by the shaper are different for different
>     directions

Thanks, you've convinced me.  Let's do it like that.